Bug 481009 - Review request: pothana2000-fonts - Unicode compliant OpenType font for Telugu
Review request: pothana2000-fonts - Unicode compliant OpenType font for Telugu
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: sandeep shedmake
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 477471
  Show dependency treegraph
 
Reported: 2009-01-21 13:01 EST by sandeep shedmake
Modified: 2009-07-22 17:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.3.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description sandeep shedmake 2009-01-21 13:01:02 EST
Description:

Its Free OpenType font for Telugu created by
Dr. Tirumala Krishna Desikacharyulu. Font is 
Unicode version 5.1 compliant. 

SPEC: http://rakesh.gnulinuxcentar.org/pothana2000-fonts.spec
SRPM: rakesh.gnulinuxcentar.org/pothana2000-fonts-1.3-1.fc11.src.rpm

The source had a binary file called Pothana2k.exe which I removed and re compressed the source to tar.gz using generate-tarball.sh. I have kept this shell script as Source2.
Comment 1 sandeep shedmake 2009-01-21 13:01:46 EST
Updated SRPM url http://rakesh.gnulinuxcentar.org/pothana2000-fonts-1.3-1.fc11.src.rpm
Comment 2 Nicolas Mailhot 2009-01-24 06:40:52 EST
1. you have two fonts in there, Pothana2000 and Vemana2000. Our guidelines call for their packaging in different packages or subpackages
http://fedoraproject.org/wiki/Packaging:FontsPolicy#Package_layout_for_fonts

2. now since they do not share the same version, this will difficult for you, unless you use a timestamp as version

3. you were quite right to remove the non-free .exe from the source, but that will stop our automatic 'did upstream release a new version' script checks from working

4. even though the PDF manual contains mostly unrelated windows info, it does contain the copyright notice so you should include it in %doc too

5. while we do accept pure GPL fonts in Fedora, the GPL has problems WRT embedding fonts in other documents (common for PDFs) so we much prefer if upstream added the FSF font exception to its licensing
http://fedoraproject.org/wiki/Legal_considerations_for_fonts#embedding

⇒ none of those are blockers, but it would simplify your life considerably if you could convince upstream to publish each font in a separate versionned archive, with no .exe inside, and with the font exception added to its licensing

Please consider asking those changes of upstream before continuing

6. since upstream release two fonts (or more?) please consider adding a foundry prefix to your package names

7. Please make sure you've completed all the steps (as requester and packager of
http://fedoraproject.org/wiki/Font_package_lifecycle up to and including 2.a)

8. This part is too much. Including the author name in the description is sufficient:

------
Author
------

"Dr. Tirumala Krishna Desikachary" <Krishna_Desikachary@newflyer.com>

9. Please wrap your description at 79column, not 46

10. 49 is much too low a fontconfig priority level. Please respect the numbering ranges documented on
http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Registering_a_font_in_default_families

11. Never process files in %install. If you need to fix up upstream txt files, do so in %prep

12. Please do not change the fontconfig symlinking pattern documented in our templates, you'll introduce bugs. If you've properly implemented the previous steps it should just work. You have many examples of simple spec files in the gfs fonts

⇒ NEEDINFO till this is being taken care of
Comment 3 sandeep shedmake 2009-03-24 09:35:23 EDT
From Comment #2

1) Upstream has published each font in a separate versioned
archive, with no .exe inside, and with the font exception added to its
licensing.

2) The revised SPEC and RPMS is available at 
http://rakesh.fedorapeople.org/spec/pothana2000-fonts.spec &
http://rakesh.fedorapeople.org/srpm/pothana2000-fonts-1.3.1-1.fc11.src.rpm

3) Please suggest the correct fontconfig priority level [I have kept it 69].
Comment 4 Nicolas Mailhot 2009-03-24 16:34:39 EDT
Ok, more review:

1. Your URL metadata field should point to upstream's web site, not directly to the zip (probably http://www.kavya-nandanam.com/dload.htm)

2. It would be better if upstream's added the exact text of the font exception to its licensing file, as the FSF may release another wording someday and then we won't know which one was intended. Though it's already good enough for packaging IMHO.

3. It would be better if upstream used "Regular" or "Normal" as style, most apps won't know what to do with a "Pothana2000" style (I suspect it's the "preferred OTF style" metadata in fontforge ; also opening the font in fontforge results in many warnings)

4. You can drop the "%dir %{_fontdir}" line

5. rpmlint warns of
pothana2000-fonts.src: W: mixed-use-of-spaces-and-tabs (spaces: line 36, tab: line 40)

6. 69 should be safe for now. You need to discuss with the packagers of other Telugu fonts in Fedora to decide in common what the best priority should be for this font

Anyway nothing blocking here, so I'll approve the package as-is but do try to fix those little problems

⇮⇮⇮ APPROVED ⇮⇮⇮

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

Thank you for packaging a new Fedora font
Comment 5 Nicolas Mailhot 2009-03-24 16:35:09 EDT
(aslo if you have the time please package Vemana2000 too)
Comment 6 sandeep shedmake 2009-03-25 06:02:32 EDT
From Comment #4

Fixed the download URL, dropped the "%dir %{_fontdir}" line & 
fixed the rpmlint W: mixed-use-of-spaces-and-tabs.

New SPEC and SRPMS available at:
http://rakesh.fedorapeople.org/spec/pothana2000-fonts.spec &
http://rakesh.fedorapeople.org/srpm/pothana2000-fonts-1.3.1-2.fc11.src.rpm respectively.

Since, this is my first package, I don't have "Fedora Packager CVS Commit Group" access. Can you sponsor me?
Comment 7 Nicolas Mailhot 2009-03-25 06:29:39 EDT
Ah, I didn't see you needed sponsoring.

Since font packages are rather simple we ask new packagers to submit 2-3 packages that pass review before they get sponsored. So you need to find two other fonts you like and package them too, to show you understand packaging.
Comment 8 sandeep shedmake 2009-07-15 04:35:53 EDT
New Package CVS Request
=======================
Package Name: pothana2000-fonts
Short Description: Telugu OpenType Font
Owners: sandeeps
Branches: F-10 F-11
InitialCC: fonts-sig
Comment 9 Kevin Fenzi 2009-07-16 01:50:03 EDT
cvs done.
Comment 10 Fedora Update System 2009-07-17 02:31:22 EDT
pothana2000-fonts-1.3.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pothana2000-fonts-1.3.1-2.fc11
Comment 11 Fedora Update System 2009-07-17 02:37:16 EDT
pothana2000-fonts-1.3.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pothana2000-fonts-1.3.1-2.fc10
Comment 12 Fedora Update System 2009-07-22 17:48:17 EDT
pothana2000-fonts-1.3.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-22 17:56:04 EDT
pothana2000-fonts-1.3.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.